Subject: bug#57000: closed (Re: bug#57000: Wrong entry "c-mode" in definition prefix for semantic)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Aug 2022 18:28:01 +0000

Your bug report

#57000: Wrong entry "c-mode" in definition prefix for semantic

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57000: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57000: Wrong entry "c-mode" in definition prefix for semantic
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Aug 2022 20:27:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> This is caused by
>>
>>     defcustom-mode-local-semantic-dependency-system-include-path
>>
>> One possible fix below, but I'm not sure we want to do this generally:
>
> The patch just allows a newline after the (def* form?  I think that
> makes sense.

Yes, indeed.  Now done on master (commit ea6c2e9295).

Subject: Wrong entry "c-mode" in definition prefix for semantic
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Fri, 5 Aug 2022 12:06:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

I see in loaddefs.el:

    (register-definition-prefixes "semantic/bovine/c" '("c-mode" "semantic"))

I think "c-mode" shouldn't be there, but I can't seem to figure out why
it is.